/////////////////////////////////////////////////////////////////////////////////

var video_depth = 32;
var video_mode = 8;
var video_screen = 1;

/////////////////////////////////////////////////////////////////////////////////

string test_wmb = <test.wmb>;

/////////////////////////////////////////////////////////////////////////////////

include <postprocess.wdl>;

/////////////////////////////////////////////////////////////////////////////////

function main()
{
	level_load (test_wmb);
}

sky my_cube 
{ 
	type = <skycube1+6.tga>; 
	layer = 5; 
	flags = cube, visible; 
}

action free_camera
{
	my.pan = 0;
	my.invisible = on;
	while (1)
	{
		vec_set (camera.x, my.x);
		camera.pan = my.pan;
		camera.tilt = my.tilt;
		my.pan -= 10 * mouse_force.x * time_step;
		my.tilt += 10 * mouse_force.y * time_step;
		if (mouse_left)
		{
			c_move(my, vector (30 * time_step, 0, 0), nullvector, IGNORE_PASSABLE | GLIDE);
		} 
		if (mouse_right)
		{
			c_move(my, vector (-20 * time_step, 0, 0), nullvector, IGNORE_PASSABLE | GLIDE);
		} 
		wait (1);
	}
}
